Subject: Re: bug#19073: Ispell fails to initialise when hunspell does not report any loaded dictionaries

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Jan 2015 05:49:04 +0200

> Date: Wed, 28 Jan 2015 22:09:23 +0100
> From: PK <[email-masked]>
> 
> With relation to the discussion of this bug in gnu.emacs.bug: I've 
> installed the latest ezwinport of hunspell 1.3.2 (suggested by Eli
> Zaretskii) and ispell still fails with the "ispell-phaf ... nil" error
> under my setup of emacs 24.4.1 (Windows), which I described in
> 
>      https://lists.gnu.org/archive/html/help-gnu-emacs/2014-04/msg00030.html
> 
> for Emacs 24.3, where the setup works fine with the same installation
> of hunspell.  Is there an accepted fix to ispell.el under 24.4 for this?

I am using that very version of Hunspell with Emacs 24.4 all the time,
in several different languages, and it works for me without any fixes.

> Or an accepted compatible way to invoke ispell?  (Compatible across emacs
> versions, that is.)

Emacs 24.4 did change significantly how dictionaries are set up with
Hunspell, so it might be hard to find a setup that works the same with
prior versions.

I suspect your setup is the culprit.  In particular, try in "emacs -Q"
or without your ispell-local-dictionary-alist setting.  It's not
needed anymore.